Osi 0.107.10

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
tripleton_action Class Reference

We are only going to do this if it does not increase number of elements?. More...

`#include <CoinPresolveTripleton.hpp>`

Inheritance diagram for tripleton_action:
[legend]
Collaboration diagram for tripleton_action:
[legend]

## Classes
struct | action

## Public Member Functions
const char * | name () const
| A name for debug printing. More...
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action. More...
virtual | ~tripleton_action ()
Public Member Functions inherited from CoinPresolveAction
| CoinPresolveAction (const CoinPresolveAction *next)
| Construct a postsolve object and add it to the transformation list. More...
void | setNext (const CoinPresolveAction *nextAction)
| modify next (when building rather than passing) More...
virtual | ~CoinPresolveAction ()
| Virtual destructor. More...

## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *, const CoinPresolveAction *next)
Static Public Member Functions inherited from CoinPresolveAction
static void | throwCoinError (const char *error, const char *ps_routine)
| Stub routine to throw exceptions. More...

## Public Attributes
const int | nactions_
const action *const | actions_
Public Attributes inherited from CoinPresolveAction
const CoinPresolveAction * | next
| The next presolve transformation. More...

## Private Member Functions
| tripleton_action (int nactions, const action *actions, const CoinPresolveAction *next)

## Detailed Description

We are only going to do this if it does not increase number of elements?.

It could be generalized to more than three but it seems unlikely it would help.

As it is adapted from doubleton icoly is one dropped.

Definition at line 15 of file CoinPresolveTripleton.hpp.

## Constructor & Destructor Documentation

tripleton_action::tripleton_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next
| ) |  |
| inline private

Definition at line 47 of file CoinPresolveTripleton.hpp.

virtual tripleton_action::~tripleton_action | ( |  | ) |
| virtual

## Member Function Documentation

const char* tripleton_action::name | ( |  | ) | const
| inline virtual

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

Definition at line 55 of file CoinPresolveTripleton.hpp.

static const CoinPresolveAction* tripleton_action::presolve | ( | CoinPresolveMatrix * | ,
|  | const CoinPresolveAction * | next
| ) |  |
| static

void tripleton_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const
| virtual

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int tripleton_action::nactions_

Definition at line 43 of file CoinPresolveTripleton.hpp.

const action* const tripleton_action::actions_

Definition at line 44 of file CoinPresolveTripleton.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.10/CoinUtils/src/CoinPresolveTripleton.hpp